%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-common-core
Version:          2.2.22
Release:          %mkrel 6
Group:            Development/Java
Summary:          JBoss Common Classes
License:          LGPLv2+ and ASL 1.1
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/common/common-core/tags/2.2.22.GA/ jboss-common-core-2.2.22.GA
# tar cafJ jboss-common-core-2.2.22.GA.tar.xz jboss-common-core-2.2.22.GA
Source0:          %{name}-%{namedversion}.tar.xz
# The URLLister* family of classes was removed because the apache-slide:webdavlib is a dead project and the classes aren't used in JBoss AS 7 at all. 
Patch0:           %{name}-%{namedversion}-URLLister-removal.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)

%description
JBoss Common Core Utility classes

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

rm -rf projectSet.psf .settings/ .project .classpath

%pom_remove_plugin :maven-source-plugin

# javascript not allowed in javadoc. this is a bit weird
find ./ -name "package.html" -exec sed -i "s/javascript/java script/g" {} +

%build
# Some failed tests
# Failed tests: testJavaLangEditors(org.jboss.test.util.test.propertyeditor.PropertyEditorsUnitTestCase):
#   PropertyEditor: org.jboss.util.propertyeditor.BooleanEditor, getAsText() == expectedStringOutput ' expected:<null> but was:<null>
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc



%changelog
* Fri Feb 03 2017 daviddavid <daviddavid> 2.2.22-6.mga6
+ Revision: 1084648
- fix FTBFS

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.2.22-5.mga6
+ Revision: 976516
- First rebuild of the java stack
- sync package jboss-common-core with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.2.22-1.mga5
+ Revision: 807648
- Sync with Fedora 21 (update to 2.2.22.GA)

* Wed Oct 15 2014 umeabot <umeabot> 2.2.18-6.mga5
+ Revision: 740853
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 2.2.18-4.mga4
+ Revision: 557820
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.18-2.mga3
+ Revision: 354916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.2.18-1.mga3
+ Revision: 291842
- New version

* Fri Aug 05 2011 dmorgan <dmorgan> 2.2.17-1.mga2
+ Revision: 131956
- Clean spec file

  + gil <gil>
    - imported package jboss-common-core


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging


